Version File Reference
`#include <osgViewer/Export>`

Go to the source code of this file.

## Macros

#define | OSGVIEWER_VERSION 1

## Functions

OSGVIEWER_EXPORT const char * | osgViewerGetVersion ()
OSGVIEWER_EXPORT const char * | osgViewerGetLibraryName ()

## Macro Definition Documentation

## OSGVIEWER_VERSION

#define OSGVIEWER_VERSION 1

## Function Documentation

## osgViewerGetLibraryName()

OSGVIEWER_EXPORT const char * osgViewerGetLibraryName | ( |  | ) |

extern

getLibraryName_osgViewer() returns the library name in human friendly form.

References OSGVIEWER_EXPORT.

## osgViewerGetVersion()

OSGVIEWER_EXPORT const char * osgViewerGetVersion | ( |  | ) |

extern

osgViewerGetVersion() returns the library version number. Numbering convention : OpenSceneGraph-1.0 will return 1.0 from osgViewerGetVersion.

This C function can be also used to check for the existence of the OpenSceneGraph library using autoconf and its m4 macro AC_CHECK_LIB.

Here is the code to add to your configure.in:

    #
    # Check for the OpenSceneGraph (OSG) Viewer library
    #
    AC_CHECK_LIB(osg, osgViewerGetVersion, ,
       [AC_MSG_ERROR(OpenSceneGraph Viewer library not found. See http://www.openscenegraph.org)],)

References OSGVIEWER_EXPORT.